# SEKO Omni-Channel Logistics [SEKO Omni-Channel Logistics](https://www.sekologistics.com/en/) offers domestic and international shipping services for shipments originating in the US, Canada, Australia, and Great Britain. This guide provides developers with the details needed to build SEKO Omni-Channel Logistics shipping capabilities into your ShipStation API workflows. ## Requirements | Property | Type | Required? | Description | | --- | --- | --- | --- | | `nickname` | *string* | **required** | Used to identify your account in ShipStation API | | `username` | *string* | **required** | Your SEKO account username | | `api_key` | *string* | **required** | Your SEKO account API key | You must contact SEKO and request that they configure your account to be used with ShipStation API. They will then provide the proper credentials to connect successfully. ### Shipping Requirements * Both weight and dimensions are required for all shipments. * SEKO requires all shipments to be manifested through the SEKO portal prior to pickup. ## Connect Account You can connect a SEKO Omni-Channel Logistics account using the POST method to the `/v1/connections/carriers/` endpoint, or via the ShipStation API Dashboard. ### Connect via Endpoint `carrier_name`: `seko` **POST /v1/connections/carriers/:carrier_name** Sample request: ```http POST /v1/connections/carriers/seko HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "nickname": "My SEKO Omni-Channel Logistics account", "username": "my account username", "api_key": "123456789" } ``` A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward. ### Connect via Dashboard Steps to connect via the dashboard are coming soon! ## Rates SEKO Omni-Channel Logistics supports [rate shopping](/apis/shipengine/docs/rates/rates) with ShipStation API. For accounts based in Australia: the rates SEKO sends to ShipStation API *exclude* GST. ## Service Details Available SEKO Omni-Channel Logistics services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [list carrier services](/apis/shipengine/docs/reference/list-carrier-services) endpoint at any time. > **NOTE:** ### Service Availability Available services vary based on both the origin and the destination country. Contact SEKO for details if you are uncertain whether a specific service is available for both your origin and destination. ### Domestic Services | Service | API Code | | --- | --- | | Domestic Standard | `seko_domestic_standard` | | Domestic Express | `seko_domestic_express` | | Domestic Large Parcel | `seko_domestic_large_parcel` | ### International Services | Service | API Code | | --- | --- | | eCommerce Express Tracked | `ecom_express_tracked` | | eCommerce Standard Tracked | `ecom_standard_tracked` | ### Shipping from Great Britain to Northern Ireland SEKO has confirmed that they are not requiring any changes or additional data for shipments from Great Britain to Northern Ireland relating to the [Windsor Framework](/apis/shipengine/docs/shipping/windsor-framework) that went into effect 1st May 2025. ### Return Services SEKO Omni-Channel Logistics does not currently support creating [return labels](/apis/shipengine/docs/shipping/returns) with ShipStation API. Returns must be managed directly in your SEKO account portal. ### Packages SEKO Omni-Channel Logistics does not include specific [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging). You can use the generic `package` type or [custom package types](/apis/shipengine/docs/shipping/custom-package-types). ### Adding Shipment Insurance SEKO Omni-Channel Logistics does not support adding carrier insurance to shipments created with ShipStation API. ## Label Support * Label sizes: 4" x 6" * Label formats: PDF * Supports Unicode characters: unknown ### Label Reference Fields SEKO Omni-Channel Logistics does not support adding [custom label messages](/apis/shipengine/docs/labels/messages). ### Multi-Package Labels SEKO Omni-Channel Logistics does not support creating [multi-package shipments](/apis/shipengine/docs/shipping/multi-package). ### Label Branding SEKO Omni-Channel Logistics does not support [label branding](/apis/shipengine/docs/labels/branding). ### Voiding Labels SEKO Omni-Channel Logistics supports voiding labels with ShipStation API. See our [Void a Label page](/apis/shipengine/docs/labels/voiding) for details about voiding labels with ShipStation API. ### Paperless Labels SEKO Omni-Channel Logistics does not support [paperless labels](/apis/shipengine/docs/labels/paperless). ### Customs Declarations Customs declarations are submitted electronically. > **NOTE: Action Required: New Zealand Border Levy Changes** Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged **per consignment**, not per item. See the **Shipping to New Zealand: Low Value Goods (LVG) Levy** section in [International Shipments](/apis/shipengine/docs/shipping/international) for full details. ## Delivery Confirmation | Confirmation Type | API Code | Description | | --- | --- | --- | | No confirmation | `none` | No delivery confirmation requested | | Signature | `signature` | Signature is required for the shipment to be delivered. This signature may be from a neighbor, building manager, or the recipient can authorize the release of the package (without being present). | See our [Delivery Confirmation page](/apis/shipengine/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property. ## Advanced Options SEKO Omni-Channel Logistics supports certain [advanced options](/apis/shipengine/docs/carriers/advanced-options), which you can add to the `shipment` object when creating a shipment or label. | Option | Type | Default Value | Description | | --- | --- | --- | --- | | `delivered_duty_paid` | *boolean* | `false` | Indicates the shipment is DDP (that is, the shipper is paying the duties/taxes for the shipment rather than the recipient). | | `non_machinable` | *boolean* | `false` | Indicates that the package cannot be processed through sorting machines. | To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options). ## Manifests SEKO Omni-Channel Logistics requires you to manifest your shipments, prior to pick, through the SEKO portal directly. You cannot use the ShipStation API [manifesting](/apis/shipengine/docs/shipping/manifests) method. ## Scheduling Pickups SEKO Omni-Channel Logistics does not support [scheduling pickups](/apis/shipengine/docs/shipping/pickups) using ShipStation API. You can schedule pickups with SEKO directly by calling 866-268-5263. ## Service Points (PUDO) SEKO Omni-Channel Logistics does not support shipping to [service points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro). ## Tracking ShipStation API's integration with SEKO Omni-Channel Logistics supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation API. ## Disconnecting Your SEKO Omni-Channel Logistics Account See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation API. > **NOTE:** If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation API. ## Troubleshooting Error: `Bad Request: Bad Request TransactionID={{RANDOM STRING OF CHARACTERS}}` This error usually occurs when using the eCommerce Standard Tracked service and the cubic value exceeds the maximum carrier weight of 10.5kg. If you receive this error, you can either choose another service or split the shipment into smaller packages.